Subject: [Mip4] [Technical Errata Reported] RFC5454 (1718)

From: RFC Errata System <[email-masked]>
Date: Sun, 15 Mar 2009 11:27:30 -0700 (PDT)

The following errata report has been submitted for RFC5454,
"Dual-Stack Mobile IPv4".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5454&eid=1718

--------------------------------------
Type: Technical
Reported by: Alfred Hoenes <[email-masked]>

Section: 2.1, pg.5

Original Text
-------------
   Prefix Length

      A sixteen-byte field containing the Mobile IPv6 Network Prefix;
      all insignificant (low-order) bits (beyond the Prefix Length) MUST
      be set to 0 by the originator of the option and ignored by the
      receiver.

   Mobile IPv6 Network Prefix

      A sixteen-byte field containing the Mobile IPv6 Network Prefix

Corrected Text
--------------
   Prefix Length

|     Indicates the prefix length of the prefix included in the Mobile
|     IPv6 Network Prefix field.  A value of 255 indicates that a link-
|     local address is included in the Mobile IPv6 Network Prefix field.

   Mobile IPv6 Network Prefix

|     A sixteen-byte field containing the Mobile IPv6 Network Prefix;
|     all insignificant (low-order) bits (beyond the Prefix Length) MUST
|     be set to 0 by the originator of the option and ignored by the
|     receiver.

Notes
-----
The replacement text apparently has been placed into the wrong
field explanation.
The text presented for "Prefix Length" is the text that should
be specified for "Mobile IPv6 Network Prefix"; the correct text
for "Prefix Length" (as shown above) is borrowed from Section 2.2.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5454 (draft-ietf-mip4-dsmipv4-10)
--------------------------------------
Title               : Dual-Stack Mobile IPv4
Publication Date    : March 2009
Author(s)           : G. Tsirtsis, V. Park, H. Soliman
Category            : PROPOSED STANDARD
Source              : Mobility for IPv4
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: George Tsirtsis <[email-masked]>
Date: Mon, 16 Mar 2009 08:53:54 -0400

I verify that this is indeed an error and I agree with the proposed fix.

George